Customer Group
Manage customer groups in VARIO Cloud via the API, including creation, updates, activation, deactivation and deletion.
the CustomerGroup API
an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung der Kundengruppe
Aktiv
trueResource with given ID was not found
GET /erp/account-types/customer-group/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung der Kundengruppe
Aktiv
truesuccessful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung der Kundengruppe
Aktiv
trueResource was not found
Resource was not valid to process
PUT /erp/account-types/customer-group/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"active": true
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/account-types/customer-group/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung der Kundengruppe
Aktiv
trueResource was not found
Resource was not valid to process
PUT /erp/account-types/customer-group/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung der Kundengruppe
Aktiv
trueResource was not found
Resource was not valid to process
PUT /erp/account-types/customer-group/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung der Kundengruppe
Aktiv
truesuccessful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Bezeichnung
Beschreibung der Kundengruppe
Aktiv
trueResource was not valid to process
POST /erp/account-types/customer-group HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 90
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"active": true
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"active": true
}Last updated
Was this helpful?